Vous êtes sur la page 1sur 14

Solution Manager

SAP Solution
Manager
Release SP

ST-TST
Add-On
(CBTA
backend)
Release SP

Solution Manager
Tools Plugin (ST-PI)
Release

7.1

300

ST-PI 2008

7.1

300

ST-PI 2008_1_*

7.1

300

ST-PI 2008_1_*

7.1

300

ST-PI 2008_1_*

7.1

10

300

ST-PI 2008_1_*
740

7.1

11

300

ST-PI 2008_1_*
740

7.1

12

300

ST-PI 2008_1_*
740

7.1

13

300

2008_1_700/710
740

(*) for CRM scenarios (SAP CRM Web UI technology), SAP Note 1666201 has to be installed in t
a. CRM 7.0 from SP02 until SP10 inclusive (SP11 and above supported)
b. CRM 7.0 EHP1 from SP03 until SP07 inclusive (SP08 and above supported)
c. CRM 7.0 EHP 2 for SP0 and SP1 (SP02 and above supported)
Inferior service pack levels are not supported.
(**) For Web Dynpro ABAP scenarios, you need to install the following notes according to your
- Note 1875359:
. SAP_BASIS 7.02: SP5 to SP13
. SAP_BASIS 7.30: SP1 to SP9
- Note 1887898:
. SAP_BASIS 7.02: SP5 to SP14
. SAP_BASIS 7.30: SP1 to SP10
Above Service Packs do not need these notes.

(***) SAP Portal 7.30 SP9 is the only version that could be tested. Other versions may work, wi

(****) Java web Dynpro has changed on 7.30 version where the Unified Rendering layer was us
Before that version, meaning 7.02 SP13 onward, dedicated default components are used as th

(*****) SAP GUI Frontend 7.30 is supported. However, some patches are known to have issues

(*6) refer to SAP Note 1992777 for latest information about ST-PI role deliveries. It is recomme

Sy

Solution Manager
Tools Plugin (ST-PI)
SP

CRM
(BBPCRM & WEBCUIF)
(CRM Only)
Release
SP
11 and above
8 and above
2 and above

6 + notes

7.0
7.0 EHP1
7.0 EHP2
See also (*)

11 and above
8 and above
2 and above

7 and above

7.0
7.0 EHP1
7.0 EHP2
See also (*)

11 and above
8 and above
2 and above

6 + notes

7.0
7.0 EHP1
7.0 EHP2
See also (*)

11 and above
8 and above
2 and above

7 and above

7.0
7.0 EHP1
7.0 EHP2
See also (*)

8 + notes and above (*6)


0 and above

7.0
7.0 EHP1
7.0 EHP2
See also (*)

11 and above
8 and above
2 and above

9 and above (*6)


0 and above

7.0
7.0 EHP1
7.0 EHP2
See also (*)

11 and above
8 and above
2 and above

10 and above (*6)


0 and above

7.0
7.0 EHP1
7.0 EHP2
See also (*)

11 and above
8 and above
2 and above

SP 11 and above (*6)


SP 1 and above

7.0
7.0 EHP1
7.0 EHP2
See also (*)

11 and above
8 and above
2 and above

), SAP Note 1666201 has to be installed in the following cases :


nd above supported)
P08 and above supported)
e supported)

nstall the following notes according to your SAP_BASIS version on the SUT:

ould be tested. Other versions may work, without guaranty nor support.

on where the Unified Rendering layer was used.


edicated default components are used as the web pages are treated as native HTML pages.

er, some patches are known to have issues with SAP GUI Scripting (at least patches 5, 6 and 9 have problem

on about ST-PI role deliveries. It is recommended to implement the latest available ST-PI service pack level on

System Under Test


Solution Manager
Application Plugin
(ST-A/PI)
(CRM Only)
Release

Web Dynpro ABAP


(SAP_BASIS)
Release
SP

SAP Portal
(Java stack)
Release

01P_* and above

Not Supported

Not Supported

01P_* and above

Not Supported

Not Supported

01P_* and above

Not Supported

Not Supported

01P_* and above

Not Supported

Not Supported

5 and above
1 and above
10 and above
5 and above

01Q_* and above

7.02
7.30
7.31
7.40
See also (**)

5 and above
1 and above
10 and above
5 and above

01Q_* and above

7.02
7.30
7.31
7.40
See also (**)

5 and above
1 and above
10 and above
5 and above

01R_* SP0 and above

7.02
7.30
7.31
7.40
See also (**)

7.30
See also (***)

7.30
See also (***)

7.30
See also (***)

01R_* SP0 and above

7.02
7.30
7.31
7.40
See also (**)

5 and above
1 and above
10 and above
5 and above

7.30
See also (***)

SUT:

t.

s native HTML pages.


least patches 5, 6 and 9 have problems). In case of doubt, execute the selfchecks.

est available ST-PI service pack level on the System under Test, amongst others for avoiding manual role upl

SAP Portal
Java stack)
SP

Web GUI
(SAP GUI for HTML)
(SAP_BASIS)
Release
SP

Java Web Dynpro


(Java Stack)
Release
SP

Not Supported

Not Supported

Not Supported

Not Supported

Not Supported

Not Supported

Not Supported

Not Supported

7.30
7.31
7.40

1 and above
10 and above
5 and above

7.02
7.30
7.31
7.40
See also (****)

13 and above
1 and above
10 and above
5 and above

1 and above
10 and above
5 and above

7.02
7.30
7.31
7.40
See also (****)

13 and above
1 and above
10 and above
5 and above

1 and above
10 and above
5 and above

7.02
7.30
7.31
7.40
See also (****)

13 and above
1 and above
10 and above
5 and above

7.30
7.31
7.40

7.30
7.31
7.40

7.30
7.31
7.40

1 and above
10 and above
5 and above

7.02
7.30
7.31
7.40
See also (****)

13 and above
1 and above
10 and above
5 and above

r avoiding manual role uploads and subsequent needs for profile recreation.

Frontend

Windows
Release

Component Based
Test Automation
(CBTA) frontend
Release
SP

SAP GUI
Release

Vista
7 (x86, x64)

3.0

7.30 and above

Vista
7 (x86, x64)

3.0

7.30 and above

Vista
7 (x86, x64)

3.0

7.30 and above

Vista
7 (x86, x64)

3.0

7.30 and above

Vista
7 (x86, x64)
8.0 (x86, x64)
8.1 (x64)
WS 2008 R2 (x64)
CITRIX (WS 2008 R2 x64)

3.0

7.30 and above


(*****)

Vista
7 (x86, x64)
8.0 (x86, x64)
8.1 (x64)
WS 2008 R2 (x64)
CITRIX (WS 2008 R2 x64)

3.0

7.30 and above


(*****)

Vista
7 (x86, x64)
8.0 (x86, x64)
8.1 (x64)
WS 2008 R2 (x64)
CITRIX (WS 2008 R2 x64)

3.0

7.30 and above


(*****)

7 (x86, x64)
8.0 (x86, x64)
8.1 (x64)
WS 2008 R2 (x64)
CITRIX (WS 2008 R2 x64)

3.0

7.30 and above


(*****)

Internet
Explorer
Release

Microsoft
Office
(Optional)
Release

8 and 9

8 and 9

8 and 9

8 and 9

8
9
10
11

2010

8
9
10
11

2010

8
9
10
11

2010

8
9
10
11

2010

List of supported UI Technologies per CBTA 300 version


UI Technology \ Version
SAPGUI
SAP CRM Web UI
SAP WebDynpro
BSP
SAP Portal
SAP UI5

SP0 / SP1
X
X

Please refer to the "Compatibility Matrix" sheet for more information on which UI Technology
information can also be found in note 1835958.

CBTA 300 version


SP2 / SP3
X
X
X
X
X

SP4 / SP5
X
X
X
X
X
X

mation on which UI Technology versions are supported. Additional